Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452963 - 'continue -1' gets zsh paralyzed
Summary: 'continue -1' gets zsh paralyzed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 09:43 UTC by Akira TAGOH
Modified: 2009-04-03 16:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-03 16:17:32 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2008-06-26 09:43:30 UTC
Description of problem:
after trying "while [ 1 ]; do continue -1; done", zsh doesn't do anything except
C-d.

Version-Release number of selected component (if applicable):
zsh-4.3.4-7.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
no errors. and no operations after that except C-d and storing history.

Expected results:
If giving -1 to 'continue' is invalid, that should behaves like bash:
-bash: continue: -1: loop count out of range

Additional info:

Comment 1 Daniel Qarras 2008-08-30 18:55:03 UTC
I was able to reproduce this. I reported this upstream at:

http://www.zsh.org/mla/users/2008/msg00782.html

Comment 2 Daniel Qarras 2008-08-31 13:58:11 UTC
And, amazingly, within 24 hours on a Saturday/Sunday period a patch was posted and committed, including new tests and enhanced compatibility:

http://www.zsh.org/mla/workers/2008/msg01228.html

Seems that this bug can be marked as being fixed in upstream.

Comment 3 Daniel Qarras 2008-10-13 20:19:49 UTC
Still seeing this with F10Beta.

Comment 4 Daniel Qarras 2009-04-03 15:05:45 UTC
This is fixed in F11ß:

localhost:~> while [ 1 ]; do continue -1; done
continue: argument is not positive: -1
zsh: exit 1
localhost:~> 

Please close this one if you can.

Comment 5 James Antill 2009-04-03 16:17:32 UTC
thanks for testing


Note You need to log in before you can comment on or make changes to this bug.